aboutsummaryrefslogtreecommitdiffstats
path: root/resources/libraries/bash/entry/per_patch_perf.sh
diff options
context:
space:
mode:
authorVratko Polak <vrpolak@cisco.com>2019-04-24 10:51:37 +0200
committerVratko Polak <vrpolak@cisco.com>2019-04-24 10:51:37 +0200
commit91f2cb2b789c8cfcaa7fe3d7617fe6b8230df22a (patch)
treebf8f52ef56b53a31c0feef791c338c1435819b82 /resources/libraries/bash/entry/per_patch_perf.sh
parent77d115dc74b2892b63d59c2fe25e712bce4f5013 (diff)
Move generate_tests earlier in entry scripts
The idea is to run test generation and archivation before testbed reservation, as during generation and archivation the testbed can be used by another job. The two steps are moved just before (physical or docker) reservation, as they currently take considerable time, so simpler steps are kept before to save time if they fail. Coincidentally, it is also just after activate_virtualenv, Python is needed for test generation. Change-Id: I8b41b91dba8118e89301e3fcf89d5cd14ac054a2 Signed-off-by: Vratko Polak <vrpolak@cisco.com>
Diffstat (limited to 'resources/libraries/bash/entry/per_patch_perf.sh')
-rw-r--r--resources/libraries/bash/entry/per_patch_perf.sh4
1 files changed, 2 insertions, 2 deletions
diff --git a/resources/libraries/bash/entry/per_patch_perf.sh b/resources/libraries/bash/entry/per_patch_perf.sh
index 82dadc2ed6..3569b21497 100644
--- a/resources/libraries/bash/entry/per_patch_perf.sh
+++ b/resources/libraries/bash/entry/per_patch_perf.sh
@@ -53,11 +53,11 @@ get_test_tag_string || die
set_perpatch_dut || die
select_topology || die
activate_virtualenv "${VPP_DIR}" || die
+generate_tests || die
+archive_tests || die
reserve_testbed || die
select_tags || die
compose_pybot_arguments || die
-generate_tests || die
-archive_tests || die
# Support for interleaved measurements is kept for future.
iterations=1 # 8
for ((iter=0; iter<iterations; iter++)); do